## tango-generator 3.2.3

=== Makefile ===
#
# Makefile for Tango Generator
#
PYVER =`python -c "import sys; print sys.version[:3]"`
PREFIX ?= /usr
DESTDIR ?= ./
TEST ?= poo
print TEST
all:
	python setup.py build

tarball:
	python setup.py sdist
	mv dist/tango-generator-*.tar.gz $(DESTDIR)

install:
	python setup.py install
	touch /usr/share/icons/hicolor
	update-mime-database /usr/share/mime
	update-desktop-database /usr/share/applications

clean:
	python setup.py clean
	rm -rf ./build
	rm msgfmt.pyc
	find . -name *.pyc -exec rm {} \;

uninstall:
	-rm $(PREFIX)/bin/tango-generator
	-rm -r $(PREFIX)/lib/python${PYVER}/site-packages/TGenerator
	-rm -r $(PREFIX)/lib/python${PYVER}/site-packages/tango-generator-*.egg-info
	-rm -r $(PREFIX)/share/tango-generator
	-rm $(PREFIX)/share/applications/tango-generator.desktop
	-rm $(PREFIX)/share/icons/hicolor/*/apps/tango-generator.*
	-rm $(PREFIX)/share/icons/hicolor/*/mimetypes/text-x-tgc.*
	-rm $(PREFIX)/share/mime/packages/tango-generator.xml
	update-desktop-database /usr/share/applications
	touch /usr/share/icons/hicolor
	update-mime-database /usr/share/mime
