=== debian/changelog ===
tango-generator (3.2.3-1) unstable; urgency=medium

  * Fixed bug arrising when remote file is not found.
  * Added industrial derived icon theme
  * Added application icons.
  * Added timeout for file downloads.

 -- mejogid <mejogid0@gmail.com>  Thurs, 13 Feb 2008 19:42:25 +0000
 

tango-generator (3.2.2-1) unstable; urgency=low

  * Various updates to icon themes, performance improvements and GUI tweaks.

 -- mejogid <tangogenerator@gmail.com>  Sun, 27 Jan 2008 18:56:33 +0000

tango-generator (3.2.1-1) unstable; urgency=high

  * Fixed method of install application icon, which could cause serious problems.

 -- mejogid <tangogenerator@gmail.com>  Sun, 2 Jan 2008 10:50:26 +0000

tango-generator (3.2.0-1) unstable; urgency=low

  * Initial release

 -- mejogid <tangogenerator@gmail.com>  Sun, 30 Dec 2007 10:50:26 +0000
