=== debian/control ===
Source: tango-generator
Section: x11
Priority: extra
Maintainer: mejogid <tangogenerator@gmail.com
Build-Depends: debhelper (>= 5.0.7), python-dev, intltool
Standards-Version: 3.7.2

Package: tango-generator
Architecture: all
Depends: python (>= 2.4), librsvg2-bin, imagemagick, python-glade2 (>= 2.7.4-3), python-gtk2 (>= 2.6.3-2)
Description: A small application to create customised, tango based icon themes.
